> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/extraction/apis.md).

# APIs to extract text & content from PDFs

Enhance document viewing with DocumentViewer control class. Explore methods like getSelectedText and extractPages for efficient operations. Get started now! The Apryse Web SDK streamlines secure, serv

* [DocumentViewer](https://sdk.apryse.com/api/web/Core.DocumentViewer.html) - A control class used for document viewing and operations.
  * Method
    * [getSelectedText](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#getSelectedText__anchor)
    * [getSelectedTextQuads](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#getSelectedTextQuads__anchor)
  * Event
    * [textSelected](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#event:textSelected__anchor)
* [Document](https://sdk.apryse.com/api/web/Core.Document.html) - Represents a document with individual pages
  * [extractPages](https://sdk.apryse.com/api/web/Core.Document.html#extractPages__anchor)
  * [extractPDFNetLayersContext](https://sdk.apryse.com/api/web/Core.Document.html#extractPDFNetLayersContext__anchor)
  * [extractXFDF](https://sdk.apryse.com/api/web/Core.Document.html#extractXFDF__anchor)
  * [getTextPosition](https://sdk.apryse.com/api/web/Core.Document.html#getTextPosition__anchor)
  * [loadPageText](https://sdk.apryse.com/api/web/Core.Document.html#loadPageText__anchor)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/extraction/apis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
